Sets the font weight

- « ImagickDraw::setFontStyle

- ImagickDraw::setGravity »

- PHP Manual
- ImagickDraw
- Sets the font weight

# ImagickDraw::setFontWeight

(PECL imagick 2, PECL imagick 3)

ImagickDraw::setFontWeight — Sets the font weight

### Description

public ImagickDraw::setFontWeight(int `$font_weight`): bool
Warning

This function is currently not documented; only its argument list is available.

Sets the font weight to use when annotating with text.

### Parameters

`font_weight`

### Return Values

### Examples

Example #1 ImagickDraw::setFontWeight() example

    <?phpfunction setFontWeight($fillColor, $strokeColor, $backgroundColor) {    $draw = new \ImagickDraw();    $draw->setStrokeColor($strokeColor);    $draw->setFillColor($fillColor);    $draw->setStrokeWidth(1);    $draw->setFontSize(36);    $draw->setFontWeight(100);    $draw->annotation(50, 50, "Lorem Ipsum!");    $draw->setFontWeight(200);    $draw->annotation(50, 100, "Lorem Ipsum!");    $draw->setFontWeight(400);    $draw->annotation(50, 150, "Lorem Ipsum!");    $draw->setFontWeight(800);    $draw->annotation(50, 200, "Lorem Ipsum!");    $imagick = new \Imagick();    $imagick->newImage(500, 500, $backgroundColor);    $imagick->setImageFormat("png");    $imagick->drawImage($draw);    header("Content-Type: image/png");    echo $imagick->getImageBlob();}?>